/********************************************************************************
 * Copyright (c) 2023 ssm.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { Annotation } from "./Annotation";
import { Hashable } from "./Hashable";
export declare class Annotatable extends Hashable {
    annotations: {
        [key: string]: any;
    };
    createAnnotation<T>(id: string, data: T): Annotation<T>;
    createNewAnnotation<T>(id: string, data: T, parent?: Annotatable | undefined): Annotation<T>;
    setAnnotation<T>(annotation: Annotation<T>): void;
    hasAnnotation(id: string): boolean;
    getAnnotation<T>(id: string): Annotation<T> | undefined;
    getAnnotationData<T>(id: string): T;
    getData<T>(annotation: Annotation<T>): T;
    cloneAnnotationsTo(annotatable: Annotatable): void;
    clearAnnotations(): void;
    cloneTo(target: Annotatable): void;
}
