/********************************************************************************
 * Copyright (c) 2023 ssm.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { EdgeTypeFactoryClass } from "./IHFactory";
import { NamedElement } from "./NamedElement";
export declare enum TransformationDirection {
    CONTROLFLOW = 0,
    DEPENDENCY = 1
}
export declare class EdgeType extends NamedElement {
    id: string;
    priority: number;
    immediate: boolean;
    transformationDirection: TransformationDirection;
    constructor(id: string, priority?: number);
    clone(): EdgeType;
    equals(other: EdgeType): boolean;
    getId(): string;
    getPriority(): number;
    setPriority(priority: number): EdgeType;
    isImmediate(): boolean;
    setImmediate(immediate: boolean): EdgeType;
    getTransformationDirection(): TransformationDirection;
    setTransformationDirection(transformationDirection: TransformationDirection): EdgeTypeFactoryClass;
}
