"use strict";
/********************************************************************************
 * Copyright (c) 2023 ssm.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIds = exports.NamedElement = void 0;
const Annotatable_1 = require("./Annotatable");
class NamedElement extends Annotatable_1.Annotatable {
    constructor(id = "") {
        super();
        this._uid = "";
        if (id == "") {
            this.id = "id" + this.hashCode();
        }
        else {
            this.id = id;
        }
        this.calculateUID();
    }
    getId() {
        return this.id;
    }
    setId(id) {
        this.id = id;
        this.calculateUID();
    }
    calculateUID() {
        this._uid = `${this.getId()} (${this.getHashCode()})`;
        return this._uid;
    }
    getIdHashCode() {
        return this._uid;
    }
    cloneTo(target) {
        super.cloneTo(target);
        target.id = this.id;
    }
    equals(other) {
        return this.getId() === other.getId();
    }
}
exports.NamedElement = NamedElement;
function getIds(elements) {
    return elements.map((val) => val.getId()).filter((val) => val != undefined);
}
exports.getIds = getIds;
//# sourceMappingURL=NamedElement.js.map