/********************************************************************************
 * Copyright (c) 2023 ssm.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { EdgeReceiver } from "./EdgeReceiver";
import { IHGraph } from "./IHGraph";
import { NamedElement } from "./NamedElement";
import { TransformationEdge } from "./TransformationEdge";
export declare enum SimpleNodeStatus {
    UNDEFINED = "UNDEFINED",
    SUCCESS = "SUCCESS",
    WARNING = "WARNING",
    ERROR = "ERROR"
}
export type SimpleNodeContent = undefined | string;
export declare class SimpleNode extends NamedElement implements EdgeReceiver {
    protected parent: IHGraph;
    protected id: string;
    protected content: SimpleNodeContent;
    protected status: SimpleNodeStatus;
    protected incomingEdges: TransformationEdge[];
    protected outgoingEdges: TransformationEdge[];
    constructor(parent: IHGraph, id?: string);
    clone(parent?: IHGraph | null, edgeMapping?: Map<TransformationEdge, TransformationEdge> | undefined): SimpleNode;
    getParent(): IHGraph;
    setParent(parent: IHGraph): void;
    getId(): string;
    getContent(): SimpleNodeContent;
    getContentAsString(): string;
    setContent(content: SimpleNodeContent): void;
    appendContent(content: string): void;
    getStatus(): SimpleNodeStatus;
    setStatus(status: SimpleNodeStatus): void;
    getIncomingEdges(): TransformationEdge[];
    getOutgoingEdges(): TransformationEdge[];
    addIncomingEdge(edge: TransformationEdge): void;
    addOutgoingEdge(edge: TransformationEdge): void;
    removeIncomingEdge(edge: TransformationEdge): void;
    removeOutgoingEdge(edge: TransformationEdge): void;
}
