"use strict";
/********************************************************************************
 * Copyright (c) 2023 ssm.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransformationConfiguration = void 0;
const EdgeType_1 = require("./EdgeType");
class TransformationConfiguration extends Map {
    constructor() {
        super();
    }
    clone() {
        const clone = new TransformationConfiguration();
        for (const [key, value] of this.entries()) {
            clone.set(key, value);
        }
        return clone;
    }
    get(edgeType) {
        for (const [key, value] of this.entries()) {
            if (key.getId() === edgeType.getId()) {
                return value;
            }
        }
    }
    setById(edgeTypeId, processor) {
        const edgeType = new EdgeType_1.EdgeType(edgeTypeId);
        if (edgeType === undefined) {
            throw new Error(`EdgeType with id ${edgeTypeId} does not exist.`);
        }
        this.set(edgeType, processor);
    }
}
exports.TransformationConfiguration = TransformationConfiguration;
//# sourceMappingURL=TransformationConfiguration.js.map