/********************************************************************************
 * Copyright (c) 2023 ssm.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { Annotatable } from "./Annotatable";
import { EdgeType } from "./EdgeType";
import { IHNode } from "./IHGraph";
export declare class TransformationEdge extends Annotatable {
    protected sourceNode: IHNode;
    protected targetNode: IHNode | undefined;
    protected type: EdgeType | undefined;
    constructor(type: EdgeType | undefined, sourceNode: IHNode, targetNode: IHNode | undefined);
    clone(sourceNode: IHNode): TransformationEdge;
    getSourceNode(): IHNode;
    getTargetNode(): IHNode;
    getType(): EdgeType;
    setSourceNode(sourceNode: IHNode): void;
    setTargetNode(targetNode: IHNode): void;
    setType(type: EdgeType): void;
    remove(): void;
}
