"use strict";
/********************************************************************************
 * Copyright (c) 2023 ssm.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransformationProcessor = void 0;
const IHGraph_1 = require("./IHGraph");
const kico_1 = require("@pragmatic-programming/kico");
class TransformationProcessor extends kico_1.Processor {
    createSingleResultNode(id) {
        const targetGraph = new IHGraph_1.IHGraph();
        return targetGraph.createSimpleNode(id);
    }
    createSingleStringResultNode(id, content) {
        const sourceNode = this.createSingleResultNode(id);
        sourceNode.setContent(content);
        return sourceNode;
    }
}
exports.TransformationProcessor = TransformationProcessor;
//# sourceMappingURL=TransformationProcessor.js.map