"use strict";
/********************************************************************************
 * Copyright (c) 2023 ssm.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
const TestGraphs_1 = require("./TestGraphs");
const IHFactory_1 = require("../../src/IHFactory");
test("createIHGraphSerialization01", () => {
    const graph = (0, TestGraphs_1.testGraphSequence)();
    expect(graph).toBeDefined();
    const serialization = graph.serialize();
    expect(serialization).toBeDefined();
    expect(serialization).not.toBeNull();
    const factoryGraph = (0, IHFactory_1.createIHGraphFromJSONString)(serialization);
    expect(factoryGraph).toBeDefined();
    expect(factoryGraph.equals(graph)).toBeTruthy();
});
//# sourceMappingURL=IHGraph.40.serialization.test.js.map