"use strict";
/********************************************************************************
 * Copyright (c) 2023 ssm.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
Object.defineProperty(exports, "__esModule", { value: true });
exports.testGraphWYTIWYGSumExecute = exports.testGraphWYTIWYGSum = exports.testGraphSCCharts = exports.testGraphSequenceExecuteNothing = exports.testGraphSequenceExecute = exports.testGraphSequence = exports.testGraphSimple = void 0;
const IHFactory_1 = require("../../src/IHFactory");
const IHGraph_1 = require("../../src/IHGraph");
const SCCharts_1 = require("../../src/examples/graphs/SCCharts");
const Sequence_1 = require("../../src/examples/graphs/Sequence");
const SequenceExecute_1 = require("../../src/examples/graphs/SequenceExecute");
const SequenceExecuteNothing_1 = require("../../src/examples/graphs/SequenceExecuteNothing");
const WYTIWYGSum_1 = require("../../src/examples/graphs/WYTIWYGSum");
const WYTIWYGSumExecute_1 = require("../../src/examples/graphs/WYTIWYGSumExecute");
function testGraphSimple() {
    const thGraph = new IHGraph_1.IHGraph();
    const node1 = thGraph.createSimpleNode("Node1");
    const node2 = thGraph.createSimpleNode("Node2");
    const type1 = thGraph.createEdgeType("Type1", 1);
    thGraph.createTransformationEdge(type1, node1, node2);
    return thGraph;
}
exports.testGraphSimple = testGraphSimple;
function testGraphSequence() {
    return (0, IHFactory_1.createIHGraphFromJSON)((0, Sequence_1.Sequence)());
}
exports.testGraphSequence = testGraphSequence;
function testGraphSequenceExecute() {
    return (0, IHFactory_1.createIHGraphFromJSON)((0, SequenceExecute_1.SequenceExecute)());
}
exports.testGraphSequenceExecute = testGraphSequenceExecute;
function testGraphSequenceExecuteNothing() {
    return (0, IHFactory_1.createIHGraphFromJSON)((0, SequenceExecuteNothing_1.SequenceExecuteNothing)());
}
exports.testGraphSequenceExecuteNothing = testGraphSequenceExecuteNothing;
function testGraphSCCharts() {
    return (0, IHFactory_1.createIHGraphFromJSON)((0, SCCharts_1.SCCharts)());
}
exports.testGraphSCCharts = testGraphSCCharts;
function testGraphWYTIWYGSum() {
    return (0, IHFactory_1.createIHGraphFromJSON)((0, WYTIWYGSum_1.WYTIWYGSum)());
}
exports.testGraphWYTIWYGSum = testGraphWYTIWYGSum;
function testGraphWYTIWYGSumExecute() {
    return (0, IHFactory_1.createIHGraphFromJSON)((0, WYTIWYGSumExecute_1.WYTIWYGSumExecute)());
}
exports.testGraphWYTIWYGSumExecute = testGraphWYTIWYGSumExecute;
//# sourceMappingURL=TestGraphs.js.map